org.apache.felix.resolver

## Class Logger

- java.lang.Object
- - org.apache.felix.resolver.Logger

    public class Logger
    extends Object

This class mimics the standard OSGi `LogService` interface. An instance of this class is used by the framework for all logging. By default this class logs messages to standard out. The log level can be set to control the amount of logging performed, where a higher number results in more logging. A log level of zero turns off logging completely.

The log levels match those specified in the OSGi Log Service (i.e., 1 = error, 2 = warning, 3 = information, and 4 = debug). The default value is 1.

This class also uses the System Bundle's context to track log services and will use the highest ranking log service, if present, as a back end instead of printing to standard out. The class uses reflection to invoking the log service's method to avoid a dependency on the log interface.

### Field Summary

Fields
`static int` `LOG_DEBUG`
`static int` `LOG_ERROR`
`static int` `LOG_INFO`
`static int` `LOG_WARNING`

### Constructor Summary

Constructors
Constructor and Description
`Logger(int i)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug(String msg)`
`protected void` `doLog(int level, String msg, Throwable throwable)`
`int` `getLogLevel()`
`boolean` `isDebugEnabled()`
`void` `log(int level, String msg)`
`void` `log(int level, String msg, Throwable throwable)`
`void` `logUsesConstraintViolation(org.osgi.resource.Resource resource, ResolutionError error)`
`void` `setLogLevel(int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG_ERROR

    public static final int LOG_ERROR

See Also:
  Constant Field Values

#### LOG_WARNING

    public static final int LOG_WARNING

See Also:
  Constant Field Values

#### LOG_INFO

    public static final int LOG_INFO

See Also:
  Constant Field Values

#### LOG_DEBUG

    public static final int LOG_DEBUG

See Also:
  Constant Field Values

### Constructor Detail

#### Logger

    public Logger(int i)

### Method Detail

#### setLogLevel

    public final void setLogLevel(int i)

#### getLogLevel

    public final int getLogLevel()

#### log

    public final void log(int level,
                          String msg)

#### log

    public final void log(int level,
                          String msg,
                          Throwable throwable)

#### isDebugEnabled

    public boolean isDebugEnabled()

#### debug

    public final void debug(String msg)

#### doLog

    protected void doLog(int level,
                         String msg,
                         Throwable throwable)

#### logUsesConstraintViolation

    public void logUsesConstraintViolation(org.osgi.resource.Resource resource,
                                           ResolutionError error)